Get Data Uploads For UM

Get Data Uploads For UM
Get the latest upload information for a single Usage Meter agent.

Get the latest upload information for a single Usage Meter agent.

Request
URI
GET
https://eapi.broadcom.com/vcf/ums/api/v2/{tenantId}/data-uploads/{agentId}
COPY
Path Parameters
string
tenantId
Required  

used to specify the ID of the tenant

string
agentId
Required  

the ID of the Usage Meter agent.


Authentication
This operation uses the following authentication methods.
Responses
200

Status of the Usage Meter agent.

Returns Upload of type(s) application/json
{
    "agentId": "string",
    "status": "string",
    "uploadTime": "string"
}
string As uuid As uuid
agentId
Required  

the id of the Usage Meter agent

string
status
Required  

the current upload status of an agent

Enumeration: OK, ERROR, WARNING, UNKNOWN
string As date-time As date-time
uploadTime
Optional

when was the last agent upload received by Usage Insight


404

Usage Meter agent is not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vcf/ums/api/v2/{tenantId}/data-uploads/{agentId}